Novell Home

CVE-2013-2064

Common Vulnerabilities and Exposures

[Previous] [Index] [Next]

Upstream information

CVE-2013-2064 at MITRE

Description

Integer overflow in X.org libxcb 1.9 and earlier allows X servers to trigger allocation of insufficient memory and a buffer overflow via vectors related to the read_packet function.

NVD CVSS v2 Base Score: 6.8 (AV:N/AC:M/Au:N/C:P/I:P/A:P)

Novell/SUSE information

Novell Bugzilla entry: 815451, 821584

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SLE 11 SP2 DEBUGINFO
  • xorg-x11-libxcb-debuginfo >= 7.4-1.22.5.1
  • xorg-x11-libxcb-debugsource >= 7.4-1.22.5.1
Builds
SAT Patch Nr: 7760
SLE 11 SP2 DEBUGINFO
  • xorg-x11-libxcb-debuginfo >= 7.4-1.22.5.1
  • xorg-x11-libxcb-debuginfo-x86 >= 7.4-1.22.5.1
  • xorg-x11-libxcb-debugsource >= 7.4-1.22.5.1
Builds
SAT Patch Nr: 7760
SLE 11 SP2 DEBUGINFO
  • xorg-x11-libxcb-debuginfo >= 7.4-1.22.5.1
  • xorg-x11-libxcb-debuginfo-32bit >= 7.4-1.22.5.1
  • xorg-x11-libxcb-debugsource >= 7.4-1.22.5.1
Builds
SAT Patch Nr: 7760
SUSE Linux Enterprise Software Development Kit 11 SP2
  • xorg-x11-libxcb-devel >= 7.4-1.22.5.1
Builds
SAT Patch Nr: 7760
SUSE Linux Enterprise Software Development Kit 11 SP2
  • xorg-x11-libxcb-devel >= 7.4-1.22.5.1
  • xorg-x11-libxcb-devel-32bit >= 7.4-1.22.5.1
Builds
SAT Patch Nr: 7760
SUSE Linux Enterprise Desktop 11 SP2
  • xorg-x11-libxcb >= 7.4-1.22.5.1
  • xorg-x11-libxcb-devel >= 7.4-1.22.5.1
Builds
SAT Patch Nr: 7760
SUSE Linux Enterprise Desktop 11 SP2
  • xorg-x11-libxcb >= 7.4-1.22.5.1
  • xorg-x11-libxcb-32bit >= 7.4-1.22.5.1
  • xorg-x11-libxcb-devel >= 7.4-1.22.5.1
Builds
SAT Patch Nr: 7760
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Server 11 SP2 for VMware
  • xorg-x11-libxcb >= 7.4-1.22.5.1
Builds
SAT Patch Nr: 7760
SUSE Linux Enterprise Server 11 SP2
  • xorg-x11-libxcb >= 7.4-1.22.5.1
  • xorg-x11-libxcb-x86 >= 7.4-1.22.5.1
Builds
SAT Patch Nr: 7760
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Server 11 SP2 for VMware
  • xorg-x11-libxcb >= 7.4-1.22.5.1
  • xorg-x11-libxcb-32bit >= 7.4-1.22.5.1
Builds
SAT Patch Nr: 7760

© 2014 Novell